
Tripnet - Critical Live Issue #44598
Invalid Customer Code | LIVE issue
08/02/2018 12:48 pm - Sreerag Prasannan

Status: Closed Start date: 08/02/2018
Priority: Normal Due date: 08/07/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 10.50 hours
End_Date: 08/07/2018 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

In Sales report Invalid customer Code is coming

Customer code is a field which is existing in "USER " form , edit a user and you will see the customer code section, the value entered
here must come in sales report ( if that user has booked ).

Please resolve.

To get issues

1) Log in to Admin

2) proceed to sales report

3) Select hotel and click on All , refunded to customer or Reconfirmed. In all these few cases, the entry is wrong please fix.

Wrong customer code = 99740086 which is being saved and displayed.

History
#1 - 08/02/2018 01:20 pm - Vipin das
- Due date set to 08/02/2018
- Status changed from New to Assigned
- Assignee set to Jomiya J

#2 - 08/02/2018 01:22 pm - Jomiya J
- Status changed from Assigned to In Progress

#3 - 08/02/2018 05:26 pm - Jomiya J

requested live db copy

#4 - 08/02/2018 11:46 pm - Vipin das
- Due date changed from 08/02/2018 to 08/03/2018

#5 - 08/03/2018 07:04 am - Jomiya J
- Status changed from In Progress to On hold
didn't get live DB Copy  so changed to on hold

#6 - 08/06/2018 07:03 am - Vipin das
- Due date changed from 08/03/2018 to 08/06/2018

#7 - 08/06/2018 08:05 am - Jomiya J
- Status changed from On hold to In Progress

#8 - 08/06/2018 02:24 pm - Jomiya J
- Status changed from In Progress to On hold

Task hold for  Critical Live Issue #44756

#9 - 08/06/2018 04:56 pm - Jomiya J
- % Done changed from 0 to 30

#10 - 08/07/2018 07:20 am - Jubin J
- Due date changed from 08/06/2018 to 08/07/2018

#11 - 08/07/2018 11:46 am - Jomiya J
- Status changed from On hold to Fixed not Tested
- % Done changed from 30 to 100
- End_Date set to 08/07/2018

UPDATE
  ReportData_Hotel
SET
  ReportData_Hotel.CustomerCode = userdetails.CorporateId
FROM
  ReportData_Hotel
INNER JOIN
  userdetails
ON
  ReportData_Hotel.CreatedBy = userdetails.UserName
WHERE
  ReportData_Hotel.IsOfflineEntry =0

UPDATE
  ReportData_Hotel
SET
  ReportData_Hotel.CustomerCode = TransactionDetailCustomerCodes.CutomerCode
FROM
  ReportData_Hotel
INNER JOIN
  TransactionDetailCustomerCodes
ON
  ReportData_Hotel.TransactionId = TransactionDetailCustomerCodes.TransactionId
WHERE
  ReportData_Hotel.IsOfflineEntry =0
SP
---
Usp_GetSalesReport_Hotel - Change done in

<add name="ConString" connectionString="Server=93.115.29.110;Database=tripnet_livcopy_binsu_30072018;Integrated Security=SSPI;User
ID=testvipin;Password=test123;Trusted_Connection=False;" />

#12 - 08/08/2018 09:31 am - Sreerag Prasannan
- Status changed from Fixed not Tested to Not Fixed

Not working in Live Environment

#13 - 08/08/2018 09:50 am - Sreerag Prasannan
- Status changed from Not Fixed to Closed
- Assignee deleted (Jomiya J)

issue fixed, so issue

Files
Customer code.png 119 KB 08/02/2018 Sreerag Prasannan
